Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 04-30-2021, 03:08 PM   #1
Freakeao
Connoisseur
Freakeao began at the beginning.
 
Posts: 51
Karma: 10
Join Date: Nov 2012
Device: none
version 4 and 5 databases compatible?

Is there a difference in the databases created/edited by calibre version 4 and 5 ?

I'm running 5 on windows, and the most easily accessible version on my linux install is 4.x. If I add books on linux and then edit metadata on windows will things get messed up?
Freakeao is offline   Reply With Quote
Old 04-30-2021, 03:32 PM   #2
georgemk
Zealot
georgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolate
 
Posts: 134
Karma: 33292
Join Date: Oct 2019
Device: nook Simple Touch with Glowlight
V4.23 is the only V4 version that can use V5 databases safely.

Last edited by georgemk; 04-30-2021 at 03:35 PM.
georgemk is offline   Reply With Quote
Advert
Old 04-30-2021, 03:44 PM   #3
Freakeao
Connoisseur
Freakeao began at the beginning.
 
Posts: 51
Karma: 10
Join Date: Nov 2012
Device: none
Can v5 read/write v4?
Freakeao is offline   Reply With Quote
Old 04-30-2021, 04:08 PM   #4
georgemk
Zealot
georgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolategeorgemk is generous with chocolate
 
Posts: 134
Karma: 33292
Join Date: Oct 2019
Device: nook Simple Touch with Glowlight
Once a V4 database has been opened by V5 then only V4.23 or any V5 Calibre can read/write to it.
georgemk is offline   Reply With Quote
Old 04-30-2021, 04:23 PM   #5
ownedbycats
Wizard
ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.
 
ownedbycats's Avatar
 
Posts: 3,062
Karma: 13086534
Join Date: Oct 2018
Device: Kobo Aura HD
Quote:
Originally Posted by georgemk View Post
Once a V4 database has been opened by V5 then only V4.23 or any V5 Calibre can read/write to it.
to be more precise, some operations from pre-4.23 versions will work, but a lot of others (notably attempting to delete books) will result in errors.
ownedbycats is online now   Reply With Quote
Advert
Old 04-30-2021, 05:32 PM   #6
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 64,019
Karma: 103820051
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Quote:
Originally Posted by Freakeao View Post
Is there a difference in the databases created/edited by calibre version 4 and 5 ?

I'm running 5 on windows, and the most easily accessible version on my linux install is 4.x. If I add books on linux and then edit metadata on windows will things get messed up?
If you open your Calibre database in v5.x and you then want to go back to a pre-5 version, the only version you can use is 4.23 as that's the only pre-5 version what will work with a v5 database.
JSWolf is offline   Reply With Quote
Old 04-30-2021, 06:13 PM   #7
Freakeao
Connoisseur
Freakeao began at the beginning.
 
Posts: 51
Karma: 10
Join Date: Nov 2012
Device: none
All good info to know. Thanks.

Is there a way to downgrade a v5 DB to v4? Either thru export/import or ? I'm considering downgrading my desktop to a v4 setup if that's possible, or would prevent problems.

Still considering all the options.
Freakeao is offline   Reply With Quote
Old 04-30-2021, 06:54 PM   #8
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 64,019
Karma: 103820051
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Quote:
Originally Posted by Freakeao View Post
All good info to know. Thanks.

Is there a way to downgrade a v5 DB to v4? Either thru export/import or ? I'm considering downgrading my desktop to a v4 setup if that's possible, or would prevent problems.

Still considering all the options.
What's wrong with version 5.x?

But if you do want to downgrade, just use 4.23.
JSWolf is offline   Reply With Quote
Old 04-30-2021, 06:57 PM   #9
Freakeao
Connoisseur
Freakeao began at the beginning.
 
Posts: 51
Karma: 10
Join Date: Nov 2012
Device: none
Nothings wrong with 5.x at all. But I'm trying to setup an ARM64 server for some automated calibre processing. I'm using docker and so far the best/only images I can find are using calibre 4.12. So I want to get to a setup where most is running on ARM64 headless server, but if I want to manually edit things using calibre from my desktop I can do it and not mess anything up.
Freakeao is offline   Reply With Quote
Old 04-30-2021, 07:15 PM   #10
ownedbycats
Wizard
ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.ownedbycats ought to be getting tired of karma fortunes by now.
 
ownedbycats's Avatar
 
Posts: 3,062
Karma: 13086534
Join Date: Oct 2018
Device: Kobo Aura HD
Quote:
Originally Posted by Freakeao View Post
All good info to know. Thanks.

Is there a way to downgrade a v5 DB to v4? Either thru export/import or ? I'm considering downgrading my desktop to a v4 setup if that's possible, or would prevent problems.

Still considering all the options.
Your best option is to use 4.xx to create a new library with "copy structure" checked and copy all the books over to it.
ownedbycats is online now   Reply With Quote
Old 04-30-2021, 10:24 PM   #11
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 39,787
Karma: 17764952
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
The only incompatibility between the databases is the from v5 onwards the database uses the sqlite FTS extension. This extension is not present in *some* builds of v4 calibre before v 4.23, notably on windows. IIRC on linux FTS is present in all v4 builds anyway so the databases are fully compatible.
kovidgoyal is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
KOReader Latest Version Compatible with Boyue Likebook Mars Incanus Boyue 20 05-13-2020 08:46 AM
Databases with the same names paai Library Management 10 10-25-2018 07:48 PM
GLIBCXX Version Compatible Help Leo365 Kindle Developer's Corner 3 03-27-2015 11:39 AM
How to search in all databases? exachillus Library Management 6 06-23-2014 11:13 AM
Apple Offering 'Last Compatible Version' of iOS Apps for Older Hardware tubemonkey News 34 09-22-2013 04:45 PM


All times are GMT -4. The time now is 03:35 PM.


MobileRead.com is a privately owned, operated and funded community.